Error when trying to upgrade to version 3.9.0

Need help with FileZilla Client? Something does not work as expected? In this forum you may find an answer.

Moderator: Project members

Message
Author
moreisbetter
504 Command not implemented
Posts: 7
Joined: 2011-10-16 03:20
First name: Cyndi
Last name: Wiseman

Error when trying to upgrade to version 3.9.0

#1 Post by moreisbetter » 2014-07-21 17:05

I opened FileZilla on my desktop PC today, and a window popped up saying there was a newer version available. So I clicked on the link to install the newer version, but after removing the files for the older version (3.8.x) I got this error notice:
X - Error opening file for writing:
C:\Program Files (x86)\FileZilla FTP Client\libgcc_s_sjlj-1.dll
Click Abort to stop the installation,
Retry to try again, or
Ignore to skip this file.
I clicked on Abort but now FileZilla is no longer installed so I can't use it all. I tried installing it again, but got the same error. I clicked on Retry and Ignore but got the same error message.

Any suggestions to fix this?

Thanks,
Cyndi

PS - The details listed in the Setup window after I Aborted:
Output folder: C:\Program Files (x86)\FileZilla FTP Client
Estract: filezilla.exe
Extract: fzsftp.exe
Extract: fzputtygen.exe
Can't write: C:\Program Files (x86)\FileZilla FTP Client\libstdc++6.dll
Windows 7 Professional 64-bit

islandgirl715
500 Command not understood
Posts: 1
Joined: 2014-07-21 17:14
First name: Christine
Last name: Phares

Re: Error when trying to upgrade to version 3.9.0

#2 Post by islandgirl715 » 2014-07-21 17:17

I'm having the same problem on Windows 8 computer. :cry:

moreisbetter
504 Command not implemented
Posts: 7
Joined: 2011-10-16 03:20
First name: Cyndi
Last name: Wiseman

Re: Error when trying to upgrade to version 3.9.0

#3 Post by moreisbetter » 2014-07-21 17:25

I tried searching the tickets, but couldn't find anything on installation errors. I'm not sure how to submit a ticket.
Windows 7 Professional 64-bit

sunrisecc
500 Syntax error
Posts: 14
Joined: 2010-05-30 14:55
First name: Seymour
Last name: Newman
Location: Toronto, Ontario

Re: Error when trying to upgrade to version 3.9.0

#4 Post by sunrisecc » 2014-07-21 18:35

Win 7 32 bit and using the alternate download for 3.9.0, I get the same error.
Seymour

moreisbetter
504 Command not implemented
Posts: 7
Joined: 2011-10-16 03:20
First name: Cyndi
Last name: Wiseman

Re: Error when trying to upgrade to version 3.9.0

#5 Post by moreisbetter » 2014-07-21 18:44

I tried again but this time I used the download for the Win-32 zip file and extracted the files, but this is a less than perfect solution.

After clicking on the file 'filezilla.exe' the software opens, but I get a warning that the publisher is unverified so then I have to click on 'Run' to start it each time. Norton Internet Security also pops up a warning.

At least I was able to use it for the one simple task I needed to do before all of this mess came up. Hope there's a fix available soon!
Windows 7 Professional 64-bit

User avatar
cesarsalgado
500 Command not understood
Posts: 2
Joined: 2014-07-21 20:05
First name: César
Last name: Salgado
Location: Galicia, Spain
Contact:

Re: Error when trying to upgrade to version 3.9.0

#6 Post by cesarsalgado » 2014-07-21 20:17

Same problem here (Win7 32-bit), the difference is my avast free antivirus has not complained.

After the installer failed I tried the zip, and had to restart to be able to delete three DLLs, the three that start with lib*.

I hope the problem is soon addressed. Thanks.

User avatar
boco
Contributor
Posts: 25334
Joined: 2006-05-01 03:28
Location: Germany

Re: Error when trying to upgrade to version 3.9.0

#7 Post by boco » 2014-07-21 20:36

Try again after a reboot.
### BEGIN SIGNATURE BLOCK ###
No support requests per PM! You will NOT get any reply!!!
FTP connection problems? Do yourself a favor and read Network Configuration.
FileZilla connection test: https://filezilla-project.org/conntest.php
### END SIGNATURE BLOCK ###

User avatar
botg
Site Admin
Posts: 33242
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Error when trying to upgrade to version 3.9.0

#8 Post by botg » 2014-07-21 22:54

Have you been performing drag&drop from FileZilla into Explorer prior to upgrading?

moreisbetter
504 Command not implemented
Posts: 7
Joined: 2011-10-16 03:20
First name: Cyndi
Last name: Wiseman

Re: Error when trying to upgrade to version 3.9.0

#9 Post by moreisbetter » 2014-07-21 22:57

botg wrote:Have you been performing drag&drop from FileZilla into Explorer prior to upgrading?
No, I had just opened FileZilla 3.8.x when I got the message asking if I wanted to install the 3.9.0 version.
Windows 7 Professional 64-bit

w2pac12345
500 Command not understood
Posts: 2
Joined: 2014-07-21 22:59

Re: Error when trying to upgrade to version 3.9.0

#10 Post by w2pac12345 » 2014-07-21 23:00

same issue here. Got a message to upgrade. Tried rebooting still doesnt work.

w2pac12345
500 Command not understood
Posts: 2
Joined: 2014-07-21 22:59

Re: Error when trying to upgrade to version 3.9.0

#11 Post by w2pac12345 » 2014-07-21 23:01

download the previous build 3.8.1 and its working for me now. do not upgrade to 3.9.0

http://sourceforge.net/projects/filezil ... ent/3.8.1/

User avatar
botg
Site Admin
Posts: 33242
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Error when trying to upgrade to version 3.9.0

#12 Post by botg » 2014-07-21 23:14

Workaround: Uninstall FileZilla. Reboot. Install new version.

xeon
226 Transfer OK
Posts: 128
Joined: 2009-08-19 03:18

Re: Error when trying to upgrade to version 3.9.0

#13 Post by xeon » 2014-07-22 01:36

I also had this happen on a Windows 7 machine. The solution for me was to close the Google Chrome browser, Windows claimed that several of the DLLs in the FileZilla directory were "in use" by it.

User avatar
botg
Site Admin
Posts: 33242
Joined: 2004-02-23 20:49
First name: Tim
Last name: Kosse
Contact:

Re: Error when trying to upgrade to version 3.9.0

#14 Post by botg » 2014-07-22 07:22

That's bizarre, why would Chrome load DLLs from FileZilla?

User avatar
cesarsalgado
500 Command not understood
Posts: 2
Joined: 2014-07-21 20:05
First name: César
Last name: Salgado
Location: Galicia, Spain
Contact:

Re: Error when trying to upgrade to version 3.9.0

#15 Post by cesarsalgado » 2014-07-22 11:35

New version 3.9.0.1 has solved my problem. Thanks.

Post Reply